Remove DispatchTask on the way to OrderedQueueDispatcherPool
Description

Just on thread of indirection more than required.

Associated revisions

Revision 5c6cabea - 04/08/2011 04:51 PM - J. Wienke

removed QueueAnddispatchTask to abvoid useless threading.

refs #204

Revision 88d54127 - 04/08/2011 05:04 PM - J. Wienke

remove QueueAnddispatchTask

refs #204

History

#1 - 02/22/2011 11:12 AM - I. Liitkebohle

| don't understand the description ;-)

#2 - 02/22/2011 12:45 PM - J. Wienke

Currently the SpreadReceiverTask reads messages from the line and decodes them, passes them to the DispatchTask, which in turn puts them in yet
another queue in OrderedQueueDispatcherPool. The DispatcherTask can be completely removed. This is just yet another queue. ;) Instead
SpreadReceiverTask can simply pass things to the OrdereQueueDispatcherPool.

#3 - 02/22/2011 01:50 PM - S. Wrede

Basically, this is a regression in the design of the event dispatching code. Prior to the OrderedQueueDispatcherPool there was only a
boost.threadpool instantiated, which lacked any sort of queuing. OrderedQueueDispatcherPool now includes both, threadpool and queuing.

BTW: The same should still apply to the C++ implementation.

#4 - 04/08/2011 04:28 PM - J. Wienke
- Status changed from New to In Progress
- Estimated time set to 2.00
#5 - 04/08/2011 05:05 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
